Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("RealEstateStocks")> _
Public Class CRMEstate_Offer_Template
    Inherits BaseObject
    Private _DocumentBody As String 'Dokumentum törzs az árajánlatnak
    Private _DocumentBodyPriceList As String 'Dokumentum törzs az árlistához
    Private _ShortName As String 'Megnevezés
    Private _ReportData As Reports.ReportData 'Árajánlati nyomtatvány
    Private _ReportData_Contract_Temp As Reports.ReportData 'Szerződési nyomtatvány az ügyvédnek
    Private _VAT As VAT 'Az ajánlathoz készülő szerződések sorainak ÁFÁja
    Private _Controlling_AdvanceMoney As Controlling 'Az ajánlathoz készülő  előleg szerződési sorok CM-je
    Private _Controlling_Final As Controlling
    Private _Controlling_Rent As Controlling
    Private _PaymentOption As PaymentOption
    Private _CostHolder As CostHolder 'Az ajánlathoz készülő szerződési sorok költségviselője
    Private _CostPlace As CostPlace 'Az ajánlathoz készülő szerződési sorok költséghelye
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Size(-1)> _
    Property DocumentBody() As String
        Get
            Return _DocumentBody
        End Get
        Set(ByVal value As String)
            SetPropertyValue("DocumentBody", _DocumentBody, value)
        End Set
    End Property
    <Size(-1)> _
    Property DocumentBodyPriceList As String
        Get
            Return _DocumentBodyPriceList
        End Get
        Set(value As String)
            SetPropertyValue("DocumentBodyPriceList", _DocumentBodyPriceList, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property ReportData As Reports.ReportData
        Get
            Return _ReportData
        End Get
        Set(value As Reports.ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property ReportData_Contract_Temp As Reports.ReportData
        Get
            Return _ReportData_Contract_Temp
        End Get
        Set(value As Reports.ReportData)
            SetPropertyValue("ReportData_Contract_Temp", _ReportData_Contract_Temp, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(ByVal value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    <DataSourceCriteria("IsParent=False")> _
    Property Controlling_AdvanceMoney As Controlling
        Get
            Return _Controlling_AdvanceMoney
        End Get
        Set(ByVal value As Controlling)
            SetPropertyValue("Controlling_AdvanceMoney", _Controlling_AdvanceMoney, value)
        End Set
    End Property
    <DataSourceCriteria("IsParent=False")> _
    Property Controlling_Final As Controlling
        Get
            Return _Controlling_Final
        End Get
        Set(ByVal value As Controlling)
            SetPropertyValue("Controlling_Final", _Controlling_Final, value)
        End Set
    End Property
    <DataSourceCriteria("IsParent=False")> _
    Property Controlling_Rent As Controlling
        Get
            Return _Controlling_Rent
        End Get
        Set(ByVal value As Controlling)
            SetPropertyValue("Controlling_Rent", _Controlling_Rent, value)
        End Set
    End Property
    Property PaymentOption As PaymentOption
        Get
            Return _PaymentOption
        End Get
        Set(ByVal value As PaymentOption)
            SetPropertyValue("PaymentOption", _PaymentOption, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(ByVal value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property CostPlace As CostPlace
        Get
            Return _CostPlace
        End Get
        Set(ByVal value As CostPlace)
            SetPropertyValue("CostPlace", _CostPlace, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    <Association("CRMEstate_Offer_Template-CRMEstate_Offer_Template_CustomersFrom", GetType(CRMEstate_Offer_Template_CustomersFrom))> _
    ReadOnly Property CRMEstate_Offer_Template_CustomersFrom As XPCollection(Of CRMEstate_Offer_Template_CustomersFrom)
        Get
            Return GetCollection(Of CRMEstate_Offer_Template_CustomersFrom)("CRMEstate_Offer_Template_CustomersFrom")
        End Get
    End Property

End Class
